//
// Alerte.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class Alerte: JSONEncodable {
    public enum EtatCourant: String { 
        case ok = "OK"
        case warning = "WARNING"
        case critical = "CRITICAL"
    }
    public enum TypeAlerte: String { 
        case cambriolage = "CAMBRIOLAGE"
        case incendie = "INCENDIE"
        case detresse = "DETRESSE"
    }
    public var id: String?
    public var etatCourant: EtatCourant?
    public var typeAlerte: TypeAlerte?
    public var evenements: [Evenement]?
    public var foyerEmetteur: Foyer?
    public var foyerImpacte: Foyer?
    public var dateCreated: Date?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["id"] = self.id
        nillableDictionary["etatCourant"] = self.etatCourant?.rawValue
        nillableDictionary["typeAlerte"] = self.typeAlerte?.rawValue
        nillableDictionary["evenements"] = self.evenements?.encodeToJSON()
        nillableDictionary["foyerEmetteur"] = self.foyerEmetteur?.encodeToJSON()
        nillableDictionary["foyerImpacte"] = self.foyerImpacte?.encodeToJSON()
        nillableDictionary["dateCreated"] = self.dateCreated?.encodeToJSON()
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
